/* BDF - Copyright (c) 2015-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.multi;

import fr.exemole.bdfserver.multi.commands.FichothequeCreationCommand;
import fr.exemole.bdfserver.multi.commands.FichothequeDuplicationCommand;
import fr.exemole.bdfserver.multi.commands.FichothequeInitCommand;
import fr.exemole.bdfserver.multi.commands.PersonChangeCommand;
import net.mapeadores.util.logging.CommandMessage;
import net.mapeadores.util.request.RequestConstants;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public final class MultiAdminCommands {

    private MultiAdminCommands() {

    }

    public static CommandMessage run(Multi multi, RequestMap requestMap) {
        String cmd = requestMap.getParameter(RequestConstants.COMMAND_PARAMETER);
        if (cmd == null) {
            return null;
        }
        switch (cmd) {
            case FichothequeCreationCommand.COMMAND_NAME: {
                FichothequeCreationCommand command = new FichothequeCreationCommand(multi, requestMap);
                return command.doCommand();
            }
            case FichothequeDuplicationCommand.COMMAND_NAME: {
                FichothequeDuplicationCommand command = new FichothequeDuplicationCommand(multi, requestMap);
                return command.doCommand();
            }
            case FichothequeInitCommand.COMMAND_NAME: {
                FichothequeInitCommand command = new FichothequeInitCommand(multi, requestMap);
                return command.doCommand();
            }
            case PersonChangeCommand.COMMAND_NAME: {
                PersonChangeCommand command = new PersonChangeCommand(multi, requestMap);
                return command.doCommand();
            }
            default:
                return null;

        }
    }

}
