/* BdfServer_API - Copyright (c) 2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.namespaces;

import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.attr.CheckedNameSpace;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public class FicheFormSpace {

    public final static CheckedNameSpace FICHEFORM_NAMESPACE = CheckedNameSpace.build("ficheform");
    public final static AttributeKey CLASSES_KEY = AttributeKey.build(FICHEFORM_NAMESPACE, "classes");
    public final static AttributeKey SATELLITES_KEY = AttributeKey.build(FICHEFORM_NAMESPACE, "satellites");

    private FicheFormSpace() {

    }

    public final static AttributeKey getPlaceholderAttributeKey(Lang lang) {
        return AttributeKey.build(FICHEFORM_NAMESPACE, "placeholder:" + lang.toString());
    }

    public final static AttributeKey getTooltipAttributeKey(Lang lang) {
        return AttributeKey.build(FICHEFORM_NAMESPACE, "tooltip:" + lang.toString());
    }

}
